Search for issues that are behind schedule

2011-01-26 16:39 - Anonymous

Status: New Start date: 2011-01-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Our PM team really likes the new red/green progress bar on the Gantt chart that indicates whether or not an issue is on schedule. 

They would like the ability to search and sort based on this information as well.

Ideally, it seems that a new calculated field would need to be added to the Issue object using the same calculations that are

occurring on the Gantt chart screen.  This could be visible on the issue's page as well as a sortable and searchable field ("is on

schedule", "is behind schedule", and for bonus points "will slip behind schedule today")

Related issues:

Related to Redmine - Feature #31881: Add "behind-schedule" CSS class to issues Closed

History

#1 - 2011-01-26 17:05 - Anonymous

If #1712 were implemented this could actually just be handled as a custom field (but IDK how easy it would be to implement #1712)

#2 - 2011-02-23 03:08 - Jean-Baptiste Barth

Generic calculated fields (#1712) are far more difficult to implement.

Maybe your request could just consist in specific options in the "Due date" menu filter, no ? It would allow defining custom reports, and access these

issues easily. What do you think ?

#3 - 2011-02-23 08:57 - Etienne Massip

- Category changed from Issues to Issues planning

#4 - 2011-02-23 16:07 - Anonymous

Yeah, could be implemented as part of the due date filter.  That's not necessarily semantically correct, but it would work... basically any way to say

"show me everything that is behind schedule"

#5 - 2020-07-05 02:47 - Go MAEDA

- Related to Feature #31881: Add "behind-schedule" CSS class to issues added
